#ifndef _GAZEBO_FAULTY_GPS_PLUGIN_HH_
#define _GAZEBO_FAULTY_GPS_PLUGIN_HH_

#include "gazebo/common/Plugin.hh"
#include "gazebo/sensors/sensors.hh"
#include "gazebo/common/Events.hh"
#include "gazebo/math/gzmath.hh"

namespace gazebo {
    class GAZEBO_VISIBLE FaultyGPSPlugin : public SensorPlugin {
        public: FaultyGPSPlugin();
        public: virtual ~FaultyGPSPlugin();
        public: void Load(sensors::SensorPtr _parent, sdf::ElementPtr _sdf);
        protected: virtual void OnUpdate(sensors::GpsSensorPtr _sensor);
        protected: virtual void OnWorldUpdate(const common::UpdateInfo &_info);
        protected: sensors::GpsSensorPtr parentSensor;
        private: event::ConnectionPtr connection;
        private: event::ConnectionPtr updateConnection;
    };
}
#endif
